# Create NMKR Pay Link for a multi-specific Tokens sale

With this endpoint you have the flexibility to add your own custom Queue or Whitelisting system in front of the purchasing process of multiple specific tokens via NMKR Pay.

To create a specific payment transaction that allows your customer to buy multiple specific tokens via [NMKR Pay](/nmkr-studio/set-up-sales/nmkr-pay.md), we call the API endpoint:

```
/v2/CreatePaymentTransaction
```

### Curl request

As always with the NMKR API, the API Key / Authentication Token is given in the header:\
Further you specify the "projectUid" (not the Project ID) and also the "nftUids" (not the token ID) of the tokens you want to sell as well as the token count for each.

```json
curl --request POST \
--url https://studio-api.nmkr.io/v2/CreatePaymentTransaction \
--header 'Content-Type: application/json' \
--header 'authorization: <your API Key>' \
--data '{
"projectUid": "9e2d000a-ed53-4db4-819b-25cdab41fd47",
"paymentTransactionType": "nmkr_pay_specific",
"paymentgatewayParameters": {
"mintNfts": {
"reserveNfts": [
{
"nftUid": "608bf1ba-79e5-4e84-b011-e12e0ed0999f",
"tokencount": 1
},
{
"nftUid": "5cd4bebb-c0c5-48ed-ab25-58aa19639840",
"tokencount": 1
}
]
}
},
"customerIpAddress": "1.2.3.4"
}'
```

### Response

The response given by NMKR Studio will now identify the project and tokens by the UID, the price of the tokens, that was either [specified in the token itself](/nmkr-studio/token/edit.md#static-price-with-specific-sales) or the [pricelist](/nmkr-studio/set-up-sales/manage-prices-pricelist.md).\
The field "nmkrPayUrl" now contains a [specific payment link](/nmkr-studio/set-up-sales/nmkr-pay/specific-payment-links.md) to buy the Tokens via [NMKR Pay](/nmkr-studio/set-up-sales/nmkr-pay.md) with all its [features](https://docs.nmkr.io/nmkr-studio-api/api-examples/payment/pages/F26vjsucuP4Y9ijI5qd4#nmkr-pay-vs.-pay-in-address).

```json
{
  "paymentTransactionUid": "Ta1a88a1cf1744c76889396c9ae916a88",
  "projectUid": "9e2d000a-ed53-4db4-819b-25cdab41fd47",
  "paymentTransactionType": "nmkr_pay_specific",
  "customProperties": {},
  "state": "prepared",
  "transactionParameters": [
    {
      "tokencount": 1,
      "policyId": null,
      "tokenname": "ThatsWhy0038",
      "tokennameHex": "546861747357687930303338"
    },
    {
      "tokencount": 1,
      "policyId": null,
      "tokenname": "ThatsWhy0042",
      "tokennameHex": "546861747357687930303432"
    }
  ],
  "paymentTransactionCreated": "2023-08-17T12:31:06.2258978+00:00",
  "paymentgatewayResults": {
    "priceInLovelace": 80000000,
    "fee": null,
    "minUtxo": null,
    "mintNfts": {
      "countNfts": 1,
      "reserveNfts": [
        {
          "nftUid": "608bf1ba-79e5-4e84-b011-e12e0ed0999f",
          "tokencount": 1,
          "tokennameHex": "546861747357687930303338",
          "policyId": null,
          "nftId": 286521,
          "lovelace": null
        },
        {
          "nftUid": "5cd4bebb-c0c5-48ed-ab25-58aa19639840",
          "tokencount": 1,
          "tokennameHex": "546861747357687930303432",
          "policyId": null,
          "nftId": 286525,
          "lovelace": null
        }
      ]
    },
    "additionalPriceInTokens": []
  },
  "paymentTransactionSubStateResult": null,
  "auctionResults": null,
  "directSaleResults": null,
  "directSaleOfferResults": null,
  "decentralParameters": null,
  "mintAndSendResults": null,
  "smartContractInformation": null,
  "cbor": "",
  "signedCbor": "",
  "expires": null,
  "signGuid": null,
  "fee": null,
  "txHash": null,
  "nmkrPayUrl": "https://pay.nmkr.io/?mtid=Ta1a88a1cf1744c76889396c9ae916a88",
  "referencedTransaction": null,
  "customeripaddress": "1.2.3.4",
  "referer": null
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nmkr.io/nmkr-studio-api/api-examples/payment/create-nmkr-pay-link-for-a-multi-specific-tokens-sale.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
